#ifndef NAMEPAIR_HPP_INCLUDED
#define NAMEPAIR_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <string>

namespace Internal
{
    class NamePair : public Object
    {
        public:
            NamePair(const void* Obj);

            NamePair() = default;
            NamePair(NamePair&& Obj) = default;
            NamePair(const NamePair& Obj) = default;
            NamePair& operator=(NamePair&& Obj) = default;
            NamePair& operator=(const NamePair& Obj) = default;

            static Class GetClass();

            std::string GetCleanName() const;
            std::string GetName() const;

    };
}

#endif // NAMEPAIR_HPP_INCLUDED
